# Class: KDFParams

## KDFParams(hash, cipher)

#### new KDFParams(hash, cipher)

##### Parameters:

Name | Type | Description
--- | --- | ---
`hash` | enums.hash | Hash algorithm
`cipher` | enums.symmetric | Symmetric algorithm

Source:
  - type/kdf_params.js, line 37

### Methods

#### read(input) → {Number}

Read KDFParams from an Uint8Array

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | Uint8Array | Where to read the KDFParams from

Source:
  - type/kdf_params.js, line 53

##### Returns:

Number of read bytes.

Type
  Number

#### write() → {Uint8Array}

Write KDFParams to an Uint8Array

Source:
  - type/kdf_params.js, line 66

##### Returns:

Array with the KDFParams value

Type
  Uint8Array